//
//  GlovalMarge_Main.m
//  Tukuyomi
//
//  Created by toveta 2001.
//  Copyright (c) 2001 toveta. All rights reserved.
//
/*
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY toveta ``AS IS'' AND ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. 
 * IN NO EVENT SHALL toveta OR CONTRIBUTORS BE LIABLE FOR ANY 
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND 
 * &ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF 
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#import <Foundation/Foundation.h>
#import "TYScripterValues.h"

/*
    usage.. GlovalMarge baseFile supportFile margeFile
    GlovalMarge̓O[oϐL^t@C}[W܂B
    baseFileɋL^ꂽϐ0i܂͋󕶎ĵ̂΁AsupportFile̓eŏ㏑܂B
    RȂÃc[ɂf[^̓͋@BIȍƂłA
    XNvg̓eɂĂ͊҂Ȃꍇ邱ƂB
*/
int main (int argc, const char * argv[])
{
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
    NSString *path1,*path2,*path3;
    TYScripterValues *val1,*val2;
    
    if(argc<4){
        NSLog(@"usage.. GlovalMarge baseFile supportFile margeFile");
        [ pool release ];
        return -1;
    }

    path1 = [ NSString stringWithCString:argv[1] ];
    path2 = [ NSString stringWithCString:argv[2] ];
    path3 = [ NSString stringWithCString:argv[3] ];
    
    val1 = [ [ [ TYScripterValues alloc ] init ] autorelease ];
    val2 = [ [ [ TYScripterValues alloc ] init ] autorelease ];
    [ val1 loadGlobalValues:path1 ];
    [ val2 loadGlobalValues:path2 ];
    
    [ val1 margeGlobalValues:val2 ];

    [ val1 saveGlobalValues:path3 ];

    [pool release];
    return 0;
}
